## The entire save structure that contains all Node3DDataResources
##  Node3DDataResources will be located by the SaveLevelDataComponent
class_name SaveGameDataResource
extends Resource


@export var game_version: String = ProjectSettings.get_setting("application/config/version")
@export var save_data_nodes: Array[Node3DDataResource]

## Path to the screenshot/icon[br]
##    This should generally be in the following format: e.g. user://game_data/save_my_save_name_screenshot.png
@export var save_icon: String
